Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.huguesjohnson.tiamat
Enum BaseAdventureGame.ConfigKeys

    java.lang.Object
      java.lang.Enum<BaseAdventureGame.ConfigKeys>
          com.huguesjohnson.tiamat.BaseAdventureGame.ConfigKeys

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BaseAdventureGame.ConfigKeys>

Enclosing class:
  BaseAdventureGame

    public static enum BaseAdventureGame.ConfigKeys

extends java.lang.Enum<BaseAdventureGame.ConfigKeys>

enum containing all supported configuration keys.

Enum Constant Summary
`FILE_DATA`
`FILE_SCRIPT`
`GAME_MAINCHARACTER`
`GAME_TITLE`
`PATH_BASEDATA`
`SEQUENCE_GAMEOVER`
`SEQUENCE_INTRODUCTION`
`SEQUENCE_TITLE`
`UI_FONTPATH`
`UI_FONTSIZE`
`UI_THEMEPATH`

Method Summary
`java.lang.String` | `defaultValue()`
`java.lang.String` | `keyName()`
`static BaseAdventureGame.ConfigKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BaseAdventureGame.ConfigKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FILE_DATA

    public static final BaseAdventureGame.ConfigKeys FILE_DATA

### FILE_SCRIPT

    public static final BaseAdventureGame.ConfigKeys FILE_SCRIPT

### GAME_MAINCHARACTER

    public static final BaseAdventureGame.ConfigKeys GAME_MAINCHARACTER

### GAME_TITLE

    public static final BaseAdventureGame.ConfigKeys GAME_TITLE

### PATH_BASEDATA

    public static final BaseAdventureGame.ConfigKeys PATH_BASEDATA

### SEQUENCE_GAMEOVER

    public static final BaseAdventureGame.ConfigKeys SEQUENCE_GAMEOVER

### SEQUENCE_INTRODUCTION

    public static final BaseAdventureGame.ConfigKeys SEQUENCE_INTRODUCTION

### SEQUENCE_TITLE

    public static final BaseAdventureGame.ConfigKeys SEQUENCE_TITLE

### UI_FONTPATH

    public static final BaseAdventureGame.ConfigKeys UI_FONTPATH

### UI_FONTSIZE

    public static final BaseAdventureGame.ConfigKeys UI_FONTSIZE

### UI_THEMEPATH

    public static final BaseAdventureGame.ConfigKeys UI_THEMEPATH

Method Detail

### values

    public static final BaseAdventureGame.ConfigKeys[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(BaseAdventureGame.ConfigKeys c : BaseAdventureGame.ConfigKeys.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static BaseAdventureGame.ConfigKeys valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### keyName

    public java.lang.String keyName()

### defaultValue

    public java.lang.String defaultValue()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2004-2006 Hugues Johnson